configuration

# Class: LAMCfgMain

Source Location: /lib/config.inc

### Class Overview

This class manages config.cfg.

### Variables

- $allowedHosts
- $default
- $logDestination
- $logLevel
- $passwordMinClasses
- $passwordMinLength
- $passwordMinLower
- $passwordMinNumeric
- $passwordMinSymbol
- $passwordMinUpper
- $sessionTimeout

### Methods

- __construct
- checkPassword
- save
- setPassword

### Class Details

[line 985]
This class manages config.cfg.
[ Top ]

### Class Variables

#### $allowedHosts =

[line 1003]

list of hosts which may access LAM

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $default =

[line 988]

Default profile

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $logDestination =

[line 1000]

log destination ("SYSLOG":syslog, "/...":file, "NONE":none)

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $logLevel =

[line 997]

log level

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinClasses = 0

[line 1021]

minimum character classes (upper, lower, numeric, symbols)

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinLength = 0

[line 1006]

minimum length for passwords

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinLower = 0

[line 1012]

minimum lowercase characters

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinNumeric = 0

[line 1015]

minimum numeric characters

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinSymbol = 0

[line 1018]

minimum symbol characters

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinUpper = 0

[line 1009]

minimum uppercase characters

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $sessionTimeout =

[line 994]

Time of inactivity before session times out (minutes)

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 1032]

`LAMCfgMain __construct( )`

Loads preferences from config file
[ Top ]

### method checkPassword [line 1143]

`boolean checkPassword( String $password)`

Checks if the given password matches.

#### Tags:

return: | true, if password matches
access: | public

#### Parameters:

String | $password | password

[ Top ]

### method save [line 1073]

`void save( )`

Saves preferences to config file config.cfg

#### Tags:

access: | public

[ Top ]

### method setPassword [line 1129]

`void setPassword( String $password)`

Sets a new config password.

#### Tags:

access: | public

#### Parameters:

String | $password | new password

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:54 +0200 by phpDocumentor 1.4.1